import type { RouteRecordRaw } from 'vue-router';

const routes: RouteRecordRaw[] = [
  {
    path: '/',
    component: () => import('layouts/MainLayout.vue'),
    children: [
      { path: '', redirect: '/lists' },
      { path: 'lists', component: () => import('pages/ListsPage.vue') },
      { path: 'groups', component: () => import('pages/GroupsPage.vue') },
      { path: 'groups/:id', component: () => import('pages/GroupDetailPage.vue'), props: true },
      { path: 'account', component: () => import('pages/AccountPage.vue') },
    ],
  },

  {
    path: '/',
    component: () => import('layouts/AuthLayout.vue'),
    children: [
      { path: 'login', component: () => import('pages/LoginPage.vue') },
      { path: 'signup', component: () => import('pages/SignupPage.vue') },
    ],
  },

  // Always leave this as last one,
  // but you can also remove it
  {
    path: '/:catchAll(.*)*',
    component: () => import('pages/ErrorNotFound.vue'),
  },
];

export default routes;
